Summary:	A Nomad Jukebox manager
Name:		gnomad2
Version:	2.9.6
Release:	%mkrel 3
License:	GPLv2+
URL:		http://gnomad2.sourceforge.net/
Group:		Sound
Source0:	http://downloads.sourceforge.net/project/gnomad2/gnomad2/Gnomad%20%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.9.4-fix-str-fmt.patch
BuildRequires:	libnjb-devel >= 2.2.4
BuildRequires:	libgtk+2-devel >= 2.6.0
BuildRequires:	libid3tag-devel
BuildRequires:	imagemagick
BuildRequires:	libmtp-devel >= 0.3.0
BuildRequires:	taglib-devel
BuildRequires:	libgudev-devel
BuildRequires:	intltool

%description
Gnomad 2 is a GUI built on top of GTK/GNOME 2, libid3tag and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%setup -q
%patch0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%{makeinstall_std}

%find_lang %{name}

install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
for i in 16x16 32x32 48x48; do
    convert -resize $i %{name}-logo.png %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}-logo.png
done

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog README TODO
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}.1*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_iconsdir}/hicolor/*/apps/%{name}-logo.png


%changelog

* Tue Feb 07 2012 tv <tv> 2.9.6-3.mga2
+ Revision: 206195
- fix too big icon in menu

* Sun Jul 17 2011 fwang <fwang> 2.9.6-2.mga2
+ Revision: 125202
- rebuild for new libmtp

* Thu Jul 07 2011 ahmad <ahmad> 2.9.6-1.mga2
+ Revision: 119722
- Update to 2.9.6
- Adjust the BuildRequires
- Clean the spec a bit
- Install the icons in hicolor

* Wed Mar 23 2011 tv <tv> 2.9.4-3.mga1
+ Revision: 75932
- cleanup
- imported package gnomad2

